mscorlib 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("F59ED4E4-E68F-3218-BD77-061AA82824BF") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown) System.Runtime.InteropServices.TypeLibImportClass(typeof(System.Reflection.PropertyInfo))

This interface is for access to managed classes from unmanaged code and should not be called from managed code.

This interface preserves the vtable order of the class members that can be accessed by unmanaged COM objects.

Exposes the public members of the class to unmanaged code.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes To be added.

  This property is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the attributes of this property.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets a value indicating whether the property can be read.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets a value indicating whether the property can be written to.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the class that declares this member.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method determines whether the specified is equal to the current .

  Provides COM objects with version-independent access to the method.

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current . 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[]

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns an array whose elements reflect the public get, set, and other accessors of the property reflected by the current instance.

  Provides COM objects with version-independent access to the method.

  An array of objects that reflect the public get, set, and other accessors of the property reflected by the current instance, if accessors are found; otherwise, this method returns an array with zero (0) elements.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns an array whose elements reflect the public and, if specified, non-public get, set, and other accessors of the property reflected by the current instance.

  Provides COM objects with version-independent access to the method.

  An array of objects whose elements reflect the get, set, and other accessors of the property reflected by the current instance. If the parameter is true, this array contains public and non-public get, set, and other accessors. If is false, this array contains only public get, set, and other accessors. If no accessors with the specified visibility are found, this method returns an array with zero (0) elements.

  true to include non-public methods in the returned MethodInfo array; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns an array containing all the custom attributes.

  Provides COM objects with version-independent access to the method.

  An array that contains all the custom attributes, or an array with zero elements if no attributes are defined.

  true to search this member's inheritance chain to find the attributes; otherwise false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns an array of custom attributes identified by .

  Provides COM objects with version-independent access to the method.

  An array of custom attributes applied to this member, or an array with zero (0) elements if no attributes have been applied.

  The type of attribute to search for. Only attributes that are assignable to this type are returned. true to search this member's inheritance chain to find the attributes; otherwise false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the public get accessor for this property.

  Provides COM objects with version-independent access to the method.

  A object representing the public get accessor for this property, or null if the get accessor is non-public or does not exist.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the public or non-public get accessor for this property.

  Provides COM objects with version-independent access to the method.

  A object representing the get accessor for this property, if the parameter is true. Or null if is false and the get accessor is non-public, or if is true but no get accessors exist.

  true to return a non-public get accessor; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method serves as a hash function for a particular type. is suitable for use in hashing algorithms and data structures such as a hash table.

  Provides COM objects with version-independent access to the method.

  The hash code for the current instance.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterInfo[]

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns an array of all the index parameters for the property

  Provides COM objects with version-independent access to the method.

  An array of type containing the parameters for the indexes.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the public set accessor for this property.

  Provides COM objects with version-independent access to the method.

  The object representing the Set method for this property if the set accessor is public, or null if the set accessor is not public.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the set accessor for this property.

  Provides COM objects with version-independent access to the method.

  One of the values in the following table.

  Value

  Meaning

  A object representing the Set method for this property.

  The set accessor is public.

  -or-

  The parameter is true and the set accessor is non-public.

  null

  The parameter is true, but the property is read-only.

  -or-

  The parameter is false and the set accessor is non-public.

  -or-

  There is no set accessor.

  true to return a non-public accessor; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method gets the type of the current instance.

  Provides COM objects with version-independent access to the method.

  A object.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. A pointer to the requested type information object. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns a literal value associated with the property by a compiler.

  Provides COM objects with version-independent access to the method.

  The property value for the parameter.

  The object whose property value will be returned. Optional index values for indexed properties. This value should be null for non-indexed properties. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the value of a property having the specified binding, index, and .

  Provides COM objects with version-independent access to the method.

  The property value for the parameter.

  The object whose property value will be returned. The invocation attribute. This must be a bit flag from BindingFlags: InvokeMethod, CreateInstance, Static, GetField, SetField, GetProperty, or SetProperty. A suitable invocation attribute must be specified. If a static member will be invoked, the Static flag of BindingFlags must be set. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects through reflection. If is null, the default binder is used. Optional index values for indexed properties. This value should be null for non-indexed properties. The CultureInfo object that represents the culture for which the resource will be localized. Note that if the resource is not localized for this culture, the CultureInfo.Parent method will be called successively in search of a match. If this value is null, the CultureInfo is obtained from the CultureInfo.CurrentUICulture property. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method indicates whether one or more instance of the parameter is applied to this member.

  Provides COM objects with version-independent access to the method.

  true if one or more instances of the parameter are applied to this member; otherwise, false.

  The object to which the custom attributes are applied. true to search this member's inheritance chain to find the attributes; otherwise false. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code and should not be called from managed code.

  The property sets a value indicating whether the property is the special name.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added.

  This property is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets a value indicating that this member is a property.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the name of the current member.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the type of this property.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the class object that was used to obtain this object.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method sets the value of the property with optional index values for index properties.

  Provides COM objects with version-independent access to the method.

  The object whose property value will be set. The new value for this property. Optional index values for indexed properties. This value should be null for non-indexed properties. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method sets the property value for the given object to the given value.

  Provides COM objects with version-independent access to the method.

  The object whose property value will be returned. The new value for this property. The invocation attribute. This must be a bit flag from : InvokeMethod, CreateInstance, Static, GetField, SetField, GetProperty, or SetProperty. A suitable invocation attribute must be specified. If a static member will be invoked, the Static flag of BindingFlags must be set. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of objects through reflection. If is null, the default binder is used. Optional index values for indexed properties. This value should be null for non-indexed properties. The object that represents the culture for which the resource will be localized. Note that if the resource is not localized for this culture, the CultureInfo.Parent method will be called successively in search of a match. If this value is null, the CultureInfo is obtained from the CultureInfo.CurrentUICulture property. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  Provides COM objects with version-independent access to the method.

  A string that represents the current .

  2.0.0.0